### Method

# ICalGLib Recurrence get_by

since: 4.0

#### Declaration [src]

    gshort
    i_cal_recurrence_get_by (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule,
      guint index
    )

#### Description [src]

Returns the element at the specified index of the ‘by’ array if it exists, 0 otherwise.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

`index`

  Type: `guint`

  The index in the by[byrule] array of `ICalRecurrence`.

#### Return value

Type: `gshort`

The ‘by’ part at the given position.